Summary: Toshiba Magnia SG10/SG20/SG30 fan control utility
Name: fanctl
Version: 1.0.0
Release: 1
License: GPL
Group: Hardware Control
Source: /source_control/packages/fanctl-1.0.0.tar.gz
BuildRoot: /tmp/%{name}-buildroot


#
#	Copy spec file (this file) to /usr/src/redhat/SPECS.
#	Tar and gzip file to /usr/src/redhat/SOURCES.
#
#


%description
Contains a utility for controlling the Magnia CPU & System fans.

%prep
%setup

# ////////////////////////////////////////////////////////////
#
#	Instructions for building the binaries.
#
%build

make -f Makefile clean
make -f Makefile all

# ////////////////////////////////////////////////////////////
#
#	Remove any existing build root dir and then
#	instuct Makefile to install in the fresh location.
#
%install

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
make -f Makefile PREFIX_ROOT=$RPM_BUILD_ROOT install

# ////////////////////////////////////////////////////////////
%pre

# ////////////////////////////////////////////////////////////
%post

# ////////////////////////////////////////////////////////////
%preun

# ////////////////////////////////////////////////////////////
%postun

# ////////////////////////////////////////////////////////////

%clean

rm -fr $RPM_BUILD_ROOT


# ////////////////////////////////////////////////////////////
#
#	Files that end up on the image
#
%files

/usr/bin/fanctl
/usr/share/man/man1/fanctl.1.gz

%changelog
* Sun May 14 2006 ericd
- 1.0.0 Initial build

